### Hierarchy

- BaseAPI
  - InfoApi

### Implements

- InfoApiInterface

## Index

### Constructors

- constructor

### Properties

- configuration

### Methods

- getCoreApiInfo
- getCoreApiInfoRaw
- getNetworkBlockTimeByNetwork
- getNetworkBlockTimeByNetworkRaw
- getNetworkBlockTimes
- getNetworkBlockTimesRaw
- getPoxInfo
- getPoxInfoRaw
- getStatus
- getStatusRaw
- getStxSupply
- getStxSupplyCirculatingPlain
- getStxSupplyCirculatingPlainRaw
- getStxSupplyRaw
- getStxSupplyTotalSupplyPlain
- getStxSupplyTotalSupplyPlainRaw
- getTotalStxSupplyLegacyFormat
- getTotalStxSupplyLegacyFormatRaw
- request
- withMiddleware
- withPostMiddleware
- withPreMiddleware

## Constructors

### constructor

- new InfoApi(configuration?: Configuration ): InfoApi

- Inherited from BaseAPI.constructor

  - Defined in src/generated/runtime.ts:25

  #### Parameters

  - ##### configuration: Configuration = ...

  #### Returns InfoApi

## Properties

### Protected configuration

configuration: Configuration = ...

Inherited from BaseAPI.configuration

## Methods

### getCoreApiInfo

- getCoreApiInfo(initOverrides?: RequestInit): Promise< CoreNodeInfoResponse >

- Implementation of InfoApiInterface.getCoreApiInfo

  - Defined in src/generated/apis/InfoApi.ts:222

  Get Core API information Get Core API info

  #### Parameters

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< CoreNodeInfoResponse >

### getCoreApiInfoRaw

- getCoreApiInfoRaw(initOverrides?: RequestInit): Promise< ApiResponse < CoreNodeInfoResponse >>

- Implementation of InfoApiInterface.getCoreApiInfoRaw

  - Defined in src/generated/apis/InfoApi.ts:203

  Get Core API information Get Core API info

  #### Parameters

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < CoreNodeInfoResponse >>

### getNetworkBlockTimeByNetwork

- getNetworkBlockTimeByNetwork(requestParameters: GetNetworkBlockTimeByNetworkRequest, initOverrides?: RequestInit): Promise< NetworkBlockTimeResponse >

- Implementation of InfoApiInterface.getNetworkBlockTimeByNetwork

  - Defined in src/generated/apis/InfoApi.ts:252

  Get a given network's target block time

  #### Parameters

  - ##### requestParameters: GetNetworkBlockTimeByNetworkRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< NetworkBlockTimeResponse >

### getNetworkBlockTimeByNetworkRaw

- getNetworkBlockTimeByNetworkRaw(requestParameters: GetNetworkBlockTimeByNetworkRequest, initOverrides?: RequestInit): Promise< ApiResponse < NetworkBlockTimeResponse >>

- Implementation of InfoApiInterface.getNetworkBlockTimeByNetworkRaw

  - Defined in src/generated/apis/InfoApi.ts:230

  Get a given network's target block time

  #### Parameters

  - ##### requestParameters: GetNetworkBlockTimeByNetworkRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < NetworkBlockTimeResponse >>

### getNetworkBlockTimes

- getNetworkBlockTimes(initOverrides?: RequestInit): Promise< NetworkBlockTimesResponse >

- Implementation of InfoApiInterface.getNetworkBlockTimes

  - Defined in src/generated/apis/InfoApi.ts:278

  Get the network target block time

  #### Parameters

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< NetworkBlockTimesResponse >

### getNetworkBlockTimesRaw

- getNetworkBlockTimesRaw(initOverrides?: RequestInit): Promise< ApiResponse < NetworkBlockTimesResponse >>

- Implementation of InfoApiInterface.getNetworkBlockTimesRaw

  - Defined in src/generated/apis/InfoApi.ts:260

  Get the network target block time

  #### Parameters

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < NetworkBlockTimesResponse >>

### getPoxInfo

- getPoxInfo(initOverrides?: RequestInit): Promise< CoreNodePoxResponse >

- Implementation of InfoApiInterface.getPoxInfo

  - Defined in src/generated/apis/InfoApi.ts:306

  Get Proof of Transfer (PoX) information. Can be used for Stacking. Get PoX details

  #### Parameters

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< CoreNodePoxResponse >

### getPoxInfoRaw

- getPoxInfoRaw(initOverrides?: RequestInit): Promise< ApiResponse < CoreNodePoxResponse >>

- Implementation of InfoApiInterface.getPoxInfoRaw

  - Defined in src/generated/apis/InfoApi.ts:287

  Get Proof of Transfer (PoX) information. Can be used for Stacking. Get PoX details

  #### Parameters

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < CoreNodePoxResponse >>

### getStatus

- getStatus(initOverrides?: RequestInit): Promise< ServerStatusResponse >

- Implementation of InfoApiInterface.getStatus

  - Defined in src/generated/apis/InfoApi.ts:334

  Get Blockchain API status Get Blockchain API status

  #### Parameters

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ServerStatusResponse >

### getStatusRaw

- getStatusRaw(initOverrides?: RequestInit): Promise< ApiResponse < ServerStatusResponse >>

- Implementation of InfoApiInterface.getStatusRaw

  - Defined in src/generated/apis/InfoApi.ts:315

  Get Blockchain API status Get Blockchain API status

  #### Parameters

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < ServerStatusResponse >>

### getStxSupply

- getStxSupply(requestParameters: GetStxSupplyRequest, initOverrides?: RequestInit): Promise< GetStxSupplyResponse >

- Implementation of InfoApiInterface.getStxSupply

  - Defined in src/generated/apis/InfoApi.ts:364

  Get total and unlocked STX supply

  #### Parameters

  - ##### requestParameters: GetStxSupplyRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< GetStxSupplyResponse >

### getStxSupplyCirculatingPlain

- getStxSupplyCirculatingPlain(initOverrides?: RequestInit): Promise<string>

- Implementation of InfoApiInterface.getStxSupplyCirculatingPlain

  - Defined in src/generated/apis/InfoApi.ts:390

  Get circulating STX supply in plain text format

  #### Parameters

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise<string>

### getStxSupplyCirculatingPlainRaw

- getStxSupplyCirculatingPlainRaw(initOverrides?: RequestInit): Promise< ApiResponse <string>>

- Implementation of InfoApiInterface.getStxSupplyCirculatingPlainRaw

  - Defined in src/generated/apis/InfoApi.ts:372

  Get circulating STX supply in plain text format

  #### Parameters

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse <string>>

### getStxSupplyRaw

- getStxSupplyRaw(requestParameters: GetStxSupplyRequest, initOverrides?: RequestInit): Promise< ApiResponse < GetStxSupplyResponse >>

- Implementation of InfoApiInterface.getStxSupplyRaw

  - Defined in src/generated/apis/InfoApi.ts:342

  Get total and unlocked STX supply

  #### Parameters

  - ##### requestParameters: GetStxSupplyRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < GetStxSupplyResponse >>

### getStxSupplyTotalSupplyPlain

- getStxSupplyTotalSupplyPlain(initOverrides?: RequestInit): Promise<string>

- Implementation of InfoApiInterface.getStxSupplyTotalSupplyPlain

  - Defined in src/generated/apis/InfoApi.ts:416

  Get total STX supply in plain text format

  #### Parameters

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise<string>

### getStxSupplyTotalSupplyPlainRaw

- getStxSupplyTotalSupplyPlainRaw(initOverrides?: RequestInit): Promise< ApiResponse <string>>

- Implementation of InfoApiInterface.getStxSupplyTotalSupplyPlainRaw

  - Defined in src/generated/apis/InfoApi.ts:398

  Get total STX supply in plain text format

  #### Parameters

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse <string>>

### getTotalStxSupplyLegacyFormat

- getTotalStxSupplyLegacyFormat(requestParameters: GetTotalStxSupplyLegacyFormatRequest, initOverrides?: RequestInit): Promise< GetStxSupplyLegacyFormatResponse >

- Implementation of InfoApiInterface.getTotalStxSupplyLegacyFormat

  - Defined in src/generated/apis/InfoApi.ts:446

  Get total and unlocked STX supply (results formatted the same as the legacy 1.0 API)

  #### Parameters

  - ##### requestParameters: GetTotalStxSupplyLegacyFormatRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< GetStxSupplyLegacyFormatResponse >

### getTotalStxSupplyLegacyFormatRaw

- getTotalStxSupplyLegacyFormatRaw(requestParameters: GetTotalStxSupplyLegacyFormatRequest, initOverrides?: RequestInit): Promise< ApiResponse < GetStxSupplyLegacyFormatResponse >>

- Implementation of InfoApiInterface.getTotalStxSupplyLegacyFormatRaw

  - Defined in src/generated/apis/InfoApi.ts:424

  Get total and unlocked STX supply (results formatted the same as the legacy 1.0 API)

  #### Parameters

  - ##### requestParameters: GetTotalStxSupplyLegacyFormatRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < GetStxSupplyLegacyFormatResponse >>

### Protected request

- request(context: RequestOpts, initOverrides?: RequestInit): Promise<Response>

- Inherited from BaseAPI.request

  - Defined in src/generated/runtime.ts:47

  #### Parameters

  - ##### context: RequestOpts

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise<Response>

### withMiddleware

- withMiddleware<T>(...middlewares: Middleware []): T

- Inherited from BaseAPI.withMiddleware

  - Defined in src/generated/runtime.ts:31

  #### Type parameters

  - #### T: BaseAPI <T>

  #### Parameters

  - ##### Rest ...middlewares: Middleware []

  #### Returns T

### withPostMiddleware

- withPostMiddleware<T>(...postMiddlewares: ((context: ResponseContext ) => Promise<void | Response>)[]): T

- Inherited from BaseAPI.withPostMiddleware

  - Defined in src/generated/runtime.ts:42

  #### Type parameters

  - #### T: BaseAPI <T>

  #### Parameters

  - ##### Rest ...postMiddlewares: ((context: ResponseContext ) => Promise<void | Response>)[]

  #### Returns T

### withPreMiddleware

- withPreMiddleware<T>(...preMiddlewares: ((context: RequestContext ) => Promise<void | FetchParams >)[]): T

- Inherited from BaseAPI.withPreMiddleware

  - Defined in src/generated/runtime.ts:37

  #### Type parameters

  - #### T: BaseAPI <T>

  #### Parameters

  - ##### Rest ...preMiddlewares: ((context: RequestContext ) => Promise<void | FetchParams >)[]

  #### Returns T

Generated using TypeDoc